## org.eclipse.emf.transaction.internal
Class EMFTransactionStatusCodes

    java.lang.Object
      org.eclipse.emf.transaction.internal.EMFTransactionStatusCodes

    public class EMFTransactionStatusCodes

extends Object

Error status codes for the EMF Transaction plug-in.

Field Summary
`static int` `CONCURRENT_WRITE`
`static int` `EXCEPTION_HANDLER_FAILED`
`static int` `FACTORY_INITIALIZATION`
`static int` `FACTORY_TYPE`
`static int` `LISTENER_INITIALIZATION`
`static int` `LISTENER_TYPE`
`static int` `POSTCOMMIT_FAILED`
`static int` `POSTCOMMIT_INTERRUPTED`
`static int` `PRECOMMIT_FAILED`
`static int` `PRECOMMIT_INTERRUPTED`
`static int` `PRIVILEGED_RUNNABLE_FAILED`
`static int` `READ_ROLLED_BACK`
`static int` `RELOAD_DURING_UNLOAD`
`static int` `TRANSACTION_ABORTED`
`static int` `VALIDATION_FAILURE`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSACTION_ABORTED

    public static final int TRANSACTION_ABORTED

See Also:
  Constant Field Values

### FACTORY_TYPE

    public static final int FACTORY_TYPE

See Also:
  Constant Field Values

### FACTORY_INITIALIZATION

    public static final int FACTORY_INITIALIZATION

See Also:
  Constant Field Values

### LISTENER_TYPE

    public static final int LISTENER_TYPE

See Also:
  Constant Field Values

### LISTENER_INITIALIZATION

    public static final int LISTENER_INITIALIZATION

See Also:
  Constant Field Values

### VALIDATION_FAILURE

    public static final int VALIDATION_FAILURE

See Also:
  Constant Field Values

### CONCURRENT_WRITE

    public static final int CONCURRENT_WRITE

See Also:
  Constant Field Values

### READ_ROLLED_BACK

    public static final int READ_ROLLED_BACK

See Also:
  Constant Field Values

### PRECOMMIT_INTERRUPTED

    public static final int PRECOMMIT_INTERRUPTED

See Also:
  Constant Field Values

### PRECOMMIT_FAILED

    public static final int PRECOMMIT_FAILED

See Also:
  Constant Field Values

### POSTCOMMIT_INTERRUPTED

    public static final int POSTCOMMIT_INTERRUPTED

See Also:
  Constant Field Values

### POSTCOMMIT_FAILED

    public static final int POSTCOMMIT_FAILED

See Also:
  Constant Field Values

### EXCEPTION_HANDLER_FAILED

    public static final int EXCEPTION_HANDLER_FAILED

See Also:
  Constant Field Values

### PRIVILEGED_RUNNABLE_FAILED

    public static final int PRIVILEGED_RUNNABLE_FAILED

See Also:
  Constant Field Values

### RELOAD_DURING_UNLOAD

    public static final int RELOAD_DURING_UNLOAD

See Also:
  Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.